## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.action
Class RefreshSchemaEditorAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.sqltools.schemaobjecteditor.ui.action.RefreshSchemaEditorAction

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.jface.action.IAction

    public class RefreshSchemaEditorAction

extends org.eclipse.jface.action.Action
implements org.eclipse.core.commands.IHandler

Action to refresh the schema editor

Author:
  Idull

Nested Class Summary
`static class` `RefreshSchemaEditorAction.RefreshSchemaEditorJob`

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`RefreshSchemaEditorAction()`

Method Summary
`void` `addHandlerListener(org.eclipse.core.commands.IHandlerListener handlerListener)`
`void` `dispose()`
`java.lang.Object` `execute(org.eclipse.core.commands.ExecutionEvent event)`
`void` `removeHandlerListener(org.eclipse.core.commands.IHandlerListener handlerListener)`
`void` `run()`
`void` `setEditor(ISchemaObjectEditor _editor)`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.commands.IHandler
`isEnabled, isHandled`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### RefreshSchemaEditorAction

    public RefreshSchemaEditorAction()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`

### setEditor

    public void setEditor(ISchemaObjectEditor _editor)

### addHandlerListener

    public void addHandlerListener(org.eclipse.core.commands.IHandlerListener handlerListener)

  Specified by:
    `addHandlerListener` in interface `org.eclipse.core.commands.IHandler`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.core.commands.IHandler`

### execute

    public java.lang.Object execute(org.eclipse.core.commands.ExecutionEvent event)
                             throws org.eclipse.core.commands.ExecutionException

  Specified by:
    `execute` in interface `org.eclipse.core.commands.IHandler`
  Throws:
    `org.eclipse.core.commands.ExecutionException`

### removeHandlerListener

    public void removeHandlerListener(org.eclipse.core.commands.IHandlerListener handlerListener)

  Specified by:
    `removeHandlerListener` in interface `org.eclipse.core.commands.IHandler`